# Getting Start With Adyen

&#x20;Adyen maintains a C-Level integration to us, that means settlement and the related reporting will be directly provided by PrimeiroPay. In order to facilitate this process in the most efficient way, PrimeiroPay offers the same reportings as Adyen does (incl. identical field names and respective values).

**Pre-Requirements:**

* You will need to send us all charges in currency = BRL. See section 7 on how to convert into BRL
* You can either use an existing Merchant Account and configure that all BRL transactions will be routed to PrimeiroPay or you open a separate Merchant Account with Adyen for PrimeiroPay inside Adyen
* An agreement with PrimeiroPay directly. Adyen will be solely the gateway to forward the transaction to us

#### **1. Reporting / Settlement**

Please refer to the following three sections to learn more about PrimeiroPay's reporting and settlement terms. The settlement report provided by PrimeiroPay is **identical** to what you receive from Adyen in other territories. [Reporting Guidelines (external use)](https://primeiro-pay.gitbook.io/primeiro-pay/reporting), [Settlement Term](https://primeiropay.atlassian.net/wiki/spaces/MS/pages/1703950/Settlement+Term), [Connect to PrimeiroPay's SFTP](https://primeiro-pay.gitbook.io/primeiro-pay/connect-to-sftp-1)

#### **2. Chargeback notifications**

Chargebacks are being reported through chargeback reports made available daily through our SFTP. You will also receive them in the settlement report respectively.

To receive chargeback notifications in real-time, please refer to this integration manual to retrieve PrimeiroPay's webhooks:

<https://primeiro-pay.gitbook.io/primeiro-pay/webhook-1>

#### **3. Handling Billing address**

Some payment methods require a billing address to be sent, like Boleto. Please respect the following rules to avoid errors in transactions:

| **Field Name in Adyen**          | **Description**                       | **Format**                                       | **Example** |
| -------------------------------- | ------------------------------------- | ------------------------------------------------ | ----------- |
| billingAddress.country           | Country code with 2 digits            | A2                                               | BR          |
| billingAddress.city              | City                                  | A255                                             | São Paulo   |
| billingAddress.street            | Street                                | AN100 (characters shared with houseNumberOrName) | Av Paulista |
| billingAddress.houseNumberOrName | House Number                          | AN100 (characters shared with Street)            | 1234        |
| billingAddress.stateOrProvince   | State with 2 digits                   | A2                                               | SP          |
| billingAddress.postalCode        | Postal/zip code with 8 numeric digits | N8                                               | 04538905    |

#### **4. Collecting / Sending the CPF number**

PrimeiroPay requires the social security number of the shopper for each transaction. This is required by the Central Bank of Brazil and common practice for any purchase made online.

If you are using the Hosted Payment Page of Adyen, the field can be simply activated there.

If you are using Client Sided Encryption, you will need to send this additional field in your payment request:

| **Field Name in Adyen**      | **Description**                                               | **Format** | **Example**                           |
| ---------------------------- | ------------------------------------------------------------- | ---------- | ------------------------------------- |
| shopper.socialSecurityNumber | CPF number of customer; CNPJ of the company making a purchase | N11 or N14 | 5043991750439917476 or 50966454000190 |

Please validate the CPF number using the following javascript:\
<https://gist.github.com/cauerego/873308>

#### **5. Supported Payment Methods**

| **Adyen Checkout Technology** | **Cards(Visa,Master,Elo,Amex,Hipercard)** | Boletos/Oxxo |
| ----------------------------- | ----------------------------------------- | ------------ |
| Server to Server              | Yes                                       | No           |
| HPP                           | Yes                                       | Yes          |
| Client Sided Encryption       | Yes                                       | No           |
| Adyen checkout API            | Yes                                       | Yes          |

#### **6. Boletos Integration**

When integration boletos it's important to **pay special attention to Billing Fields** restrictions (as billing address is mandatory for Boletos). Please follow all the guidelines contained in the Iten 3 of this guide.

When sending a boleto transaction using Adyen **use the following selected brand**:

**primeiropay\_boleto**

#### **7. Convert your USD prices into BRL**

PrimeiroPay provides a guaranteed FX rate that is valid for the upcoming 24 business hours. This allows you to convert your USD prices into BRL without taking any risk on movements during these 24 hours.

[**Pulling our FX Rates**](https://primeiro-pay.gitbook.io/primeiro-pay/pulling-our-fx-rates-1)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.primeiropay.com/getting-start-with-adyen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
